Bug 101263 - Trailing whitespace in hostname -i output
Summary: Trailing whitespace in hostname -i output
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-30 14:40 UTC by Bill Rugolsky, Jr.
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-19 12:13:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Rugolsky, Jr. 2003-07-30 14:40:57 UTC
Description of problem:
hostname -i produces trailing whitespace, which is simply
annoying when using $(hostname -i) in a script.  I don't see
any system scripts that depend on this behavior.

Version-Release number of selected component (if applicable):
net-tools-1.60-12

How reproducible:
Always

Steps to Reproduce:
1. hostname -i | od -c

Actual results:
0000000   1   9   2   .   1   6   8   .   1   0   .   3   1      \n
0000017


Expected results:
0000000   1   9   2   .   1   6   8   .   1   0   .   3   1  \n
0000016


Additional info:

Comment 1 Phil Knirsch 2003-08-19 12:13:00 UTC
Yeah, looked at the code, definitely buggy. Will fix in next version.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.